Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.skin
Class SkinVariableResolver

    java.lang.Object
      javax.faces.el.VariableResolver
          org.richfaces.skin.SkinVariableResolver

    public class SkinVariableResolver

extends javax.faces.el.VariableResolver

Resolve current skin as EL Variable. e.g. #{chameleonSkin['color'] } #{chameleonSkin.color} must be evaluated as Skin.getProperty(context,"color");

Version:
  $Revision: 1.1.2.1 $ $Date: 2007/01/09 18:59:41 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Field Summary
`static java.lang.String` | `CHAMELEON_VARIABLE_NAME`
`static java.lang.String` | `SKIN_VARIABLE_NAME`

Constructor Summary
`SkinVariableResolver(javax.faces.el.VariableResolver parent)`

Method Summary
`java.lang.Object` | `resolveVariable(javax.faces.context.FacesContext context, java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHAMELEON_VARIABLE_NAME

    public static final java.lang.String CHAMELEON_VARIABLE_NAME

See Also:
  Constant Field Values

### SKIN_VARIABLE_NAME

    public static final java.lang.String SKIN_VARIABLE_NAME

See Also:
  Constant Field Values

Constructor Detail

### SkinVariableResolver

    public SkinVariableResolver(javax.faces.el.VariableResolver parent)

Method Detail

### resolveVariable

    public java.lang.Object resolveVariable(javax.faces.context.FacesContext context,
                                            java.lang.String name)
                                     throws javax.faces.el.EvaluationException

  Specified by:
    `resolveVariable` in class `javax.faces.el.VariableResolver`
  Throws:
    `javax.faces.el.EvaluationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.